jEdit Community - Resources for users of the jEdit Text Editor
More beta plugins added
Submitted by slava on Sunday, 31 March, 2002 - 04:41
If you want to stay on the bleeding edge, check out some of the plugins that have been recently added to the 'Beta Plugins' section: namely, Velocity Plugin, IRC 1.8, and LaTeX Outline Plugin.
Latest status of plugins and jEdit 4.0
Submitted by slava on Wednesday, 27 March, 2002 - 10:19
Plugins available for download outside PluginCentral:
Plugins with conversions completed in CVS:
  • CodeAid

Plugins that have not yet been converted:
  • HartMathPlugin
  • JavaRefactor
  • JStandard
  • JSwat
  • NetRexxJe

If plugin authors have any corrections or updates to this list, please post a comment to this article or send your information to John Gellene and this online list will be updated accordingly.
Plugin Central updates: a plethora (OK, it's just a dozen)
Submitted by slava on Wednesday, 27 March, 2002 - 10:11

  • AntFarm 1.1: jEdit 4.0 compatible (John Gellene); Sun JDK 1.4 compatible (Rob Wilson); ability to add to the class path when running Ant inside the jEdit VM (this provides for easier access to custom tasks or third party libraries required by Ant); ability to specify global properties; ability to specify runtime properties; various bug fixes and enhancements; option to save all buffers before running targets; updated help; requires jEdit 4.0pre4, CommonControls 0.2, Console 3.1, ErrorList 1.2, XML 0.7, and JDK 1.3

  • Archive 0.3.3: switched to Ant and Docbook; moved classes to the archive package; the external libraries (tar and bzip2) are no longer necessary; requires jEdit 4.0pre1 and JDK 1.3
jEdit 4.0pre8 now available
Submitted by slava on Monday, 25 March, 2002 - 10:37
Ok everybody, this is the 4.0final "release candidate". You know the drill: download it, test it, and report the bugs. 4.0final will follow very soon after this.
Submitted by Anonymous on Thursday, 1 January, 1970 - 00:00
n/a
Plugin Central updates
Submitted by slava on Tuesday, 12 March, 2002 - 08:03

  • BufferSelector 1.0.5: updated for the jEdit 4.0 Toolbar API; requires jEdit 4.0pre7 and JDK 1.3

  • ErrorList 1.2.2: fixed possible NullPointerException under Java 2 version 1.4; error highlight didn't work properly when soft wrap was enabled; if the "show on error" feature is enabled, the error list will now open in the currently focused view, not the most recently opened view as before; requires jEdit 4.0pre4 and JDK 1.3

  • LookAndFeel 0.8: option pane to switch between Skin, Oyoaha, and Kunststoff look and feel implementations; attempts to install look and feel without restart; updated documentation to use DocBook; added help for new look and feels implementations; requires jEdit 3.1 and JDK 1.2
jEdit 4.0pre7 now available
Submitted by slava on Sunday, 10 March, 2002 - 07:20
jEdit 4.0pre7 is now available for download. 4.0pre8 will be a "release candidate", and 4.0final will follow soon after.

I'm pretty confident this release is very stable, in fact it should be more stable than 3.2 was. So I encourage as many people as possible to download and test it; if you're still using 3.2, give this release a shot, I think you'll like it very much.
Submitted by Anonymous on Thursday, 1 January, 1970 - 00:00
n/a
Plugin Central update: Tags
Submitted by slava on Thursday, 7 March, 2002 - 03:14
Today, I uploaded a new version of Ken Drew's Tags plugin to Plugin Central. This release has a few bug fixes and is for jEdit 4.0 only.


  • Tags 1.0.6: fixed a bug where the character escape character '' was in the user visible search string; fixed a bug where the tag collision popup would show up in the wrong place when folding or wrapping text; requires jEdit 4.0pre1 and JDK 1.3


Plugin Central updates: 9 for jEdit 4.0
Submitted by slava on Wednesday, 27 February, 2002 - 09:21

  • Background 0.2: new plugin by Andr Kaplan; Background lets you configure a background image for the main jEdit text area; Background also features some basic blend options ("tinted glass" effect); requires jEdit 4.0pre4 and JDK 1.3


  • ClassWizard 0.5: licenses now stored outside classwizard.properties in their own files; can configure items to show in the extends combo; fixed jEdit4 compatibility problem; requires jEdit 4.0pre1 and JDK 1.3


  • Debugger 0.6.1: initial Plugin Central release; requires jEdit 4.0pre6, Console 3.0, and JDK 1.3 (not a JRE)
Plugin Central updates: JythonInterpreter, Templates
Submitted by slava on Sunday, 24 February, 2002 - 03:45

  • JythonInterpreter 0.8: updated to jEdit 4.0.6 and uses the new Macro Handler API (Mike Dillon); removed custom namespace to ensure macro compability; added option to autoload all plugins' jars; added export session; added the BufferList class to make a jEdit Buffer act like a Python list; removed deprecated functions; requires jEdit 4.0pre6 and JDK 1.3; includes Jython 2.1


  • Templates 2.0.0: compatible with jEdit 4.0 API's; selection of Templates menu items can now be recorded in macros (as requested by Richard Wan); requires jEdit 4.0pre4 and JDK 1.3
Submitted by Anonymous on Thursday, 1 January, 1970 - 00:00
n/a
Submitted by Anonymous on Thursday, 1 January, 1970 - 00:00
n/a
jEdit 4.0pre6 now available
Submitted by slava on Tuesday, 19 February, 2002 - 07:39
jEdit 4.0pre6 is now available from the jEdit web site. Go download it, and post feedback in the usual places.
Submitted by Anonymous on Thursday, 1 January, 1970 - 00:00
n/a
Java 2 standard edition 1.4 now out!
Submitted by slava on Thursday, 14 February, 2002 - 09:43
Java 2 version 1.4 has been released. Go download it from http://java.sun.com/j2se/1.4/.
Submitted by Anonymous on Thursday, 1 January, 1970 - 00:00
n/a
Submitted by Anonymous on Thursday, 1 January, 1970 - 00:00
n/a
Submitted by Anonymous on Thursday, 1 January, 1970 - 00:00
n/a
Submitted by Anonymous on Thursday, 1 January, 1970 - 00:00
n/a
User login
Browse archives
« September 2017  
MoTuWeThFrSaSu
 
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
 
Poll
Are you interested in language packs for jEdit?
Yes, and I could help maintain translations
26%
Yes, I'd like to have translations
33%
Indifferent
35%
No, that'd be bad (please comment)
7%
Total votes: 1092
Syndication
file   ver   dls
German Localization light   4.4.2.1   50654
Context Free Art (*.cfdg)   0.31   40786
JBuilder scheme   .001   16797
ColdFusion scheme   1.0   16363
BBEdit scheme   1.0   16348
R Edit Mode - extensive version   0.1   14594
Advanced HTML edit mode   1.0   13858
Matlab Edit Mode   1.0   13770
jEdit XP icons   1.0   13239
XP icons for jEdit   1.1   12256